The Joomla! Community Magazine™

Actualitzar Joomla! de la versió 2.5 a la 3.x

Written by | Wednesday, 01 October 2014 04:35 | Published in 2014 October
Ja queda poc perquè la versió 2.5 de Joomla se li acabi el suport, potser és el moment de pensar en passar-se a la versió 3.x de Joomla ... però que avantatges té?

A la versió 2.5 se li acaba el suport a finals d'aquest any 2014, encara que aquest duri alguns mesos més, és el moment de començar a passar els llocs web de Joomla que estan en la versió 2.5.xx a la sèrie 3.

Per què canviar a Joomla 3.x?

Hi ha moltes raons ...

  • La primera ja ho hem comentat abans, el final del suport per fi de 2014.
  • Una altra, és que la versió 3.3, és la més fiable i segura des que Joomla existeix.
  • Poder aprofitar totes les novetats que Joomla 3 .x ha inclòs. Pots veure les més cridaneres a "Novetats en Joomla! 3.3" (en castellà).
  • Un nucli més optimitzat i ràpid, el que es tradueix en fiabilitat i rapidesa.
  • La sèrie 3 és adaptativa i responsiva, tant en l'administració, com a la part pública.
  • Gairebé totes les extensions es troben ja per a aquesta versió ... i estan, generalment, també més optimitzades i actualitzades que les de la versió 2.5. i ... la veritat, les que no ho estan, crec que no són de fiar, doncs, o el codi que utilitzen està desactualitzat i ha quedat antiquat, o estan abandonades, sense suport i tard o d'hora haurà de canviar-les, per la qual és un bon moment per fer-ho. Llevat que hagi estat realitzada per vostè, o per a vostè per un altre desenvolupador, en aquest cas, el millor seria que actualitzi la seva extensió ... i que l'aporti al JED, així també es podran beneficiar altres persones que tinguin les seves mateixes necessitats, entre altres avantatges que té el tenir una extensió al JED.

És difícil de fer l'actualització?

Doncs no, només es tracta de realitzar des de (Components -> Actualització de Joomla!) es fa amb un sol clic ... però abans d'això haurà de fer algunes coses que són necessàries i molt ¡IMPORTANTS!

  • Una condició important, és que el Hosting, en el qual està el lloc web, ha de tenir instal·lada la versió 5.3.10 de PHP o superior.Això és molt important, perquè si és inferior no funcionarà Joomla 3. D'altra banda, un Hosting que està utilitzant una versió inferior de PHP no és fiable, sobretot a nivell de seguretat, ja que aquesta versió ja farà 3 anys que es va alliberar, el que la fa el més segura possible.
  • Realitzar una còpia de seguretat del lloc, tant dels arxius, incloses les imatges, com la base de dades
  • Veure si les extensions que estàs utilitzant tenen la seva corresponent versió per a la 3.x, si és que no les tenen ja actualitzades. Les actualitzacions de les extensions, majoritàriament, es fan perquè funcionin igual en les dues versions.
  • Cerca la l'actualització de la plantilla,o si prefereix, aquest és el moment de fer un canvi d'imatge al lloc web i posar una nova plantilla.
  • Com ja hem dit, normalment, les extensions que estan preparades per a la versió 3.x, també ho estan per a la 2.5, de manera que pots fer l'actualització des de la instal·lació 2.5 per no tenir problemes posteriorment.
  • I actualitzar des d'on hem comentat, amb un sol clic

Quan entri en l'administrador, se sentirà per un moment una mica perdut, perquè és diferent al interfície que estava acostumat ... no es preocupi, amb molt poc temps veurà que aquest és molt més intuïtiu, i pràctic.

Al versionat de Joomla! ha canviat des de fa alguns mesos ... si vol saber quin és el futur de Joomla, pot llegir aquest article, Full de ruta del CMS Joomla!.

Amb instal·lacions noves

Instal·lar Joomla 3.x és l'aconsellable, llevat que vulguis utilitzar alguna de les rares extensions que encara no s'han actualitzat a aquesta versió. La veritat és que llevat d'excepcions, les que no s'han actualitzat, és perquè estan una mica abandonades ... i aquest és motiu suficient com per no utilitzar-les i buscar altres que estiguin al dia ... que tinguin un bon suport i que comptin amb una bona qualificació en el Gestor de extnsions de Joomla!, A més de comentaris positius.

I això és tot, espero que gaudeixin de la nova instal·lació de la magnífica versió 3.x de Joomla!

Read 9475 times
Tagged under Catalan
Manuel Rubio

Manuel Rubio

Emprendedor, autodidacta, diseñador, artesano... Encontré el CMS de Joomla buscando soluciones que facilitaran la creación de sitios web allá por el 2008, y desde ese día lo he venido utilizando para realizar proyectos. Cuando descubrí que detrás del proyecto existía una comunidad, me uní a ella para ayudar en lo que pudiera... y en eso estoy :-)